import { Component } from '@angular/core';

@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss'],
  standalone: false,
})
export class Tab3Page {
  // ... 现有代码 ...

  // 添加图片错误处理方法
  handleImageError(event: Event) {
    const imgElement = event.target as HTMLImageElement;
    console.error('图片加载失败:', imgElement.src);
    
    // 可选：设置默认图片
    // imgElement.src = 'assets/images/default.png';
    
    // 可选：隐藏图片
    // imgElement.style.display = 'none';
  }

  // 添加打开详情方法
  openDetails() {
    // 根据您的实际功能实现：
    console.log('打开详情');
    
    // 示例：导航到详情页
    // this.router.navigate(['/details']);
    
    // 示例：打开模态框
    // this.modalController.create({...}).present();
  }

  constructor() {}

}
